<template lang="pug">
PropertyNumber(v-if='type === "number"' :state='state' :property='property')
PropertyBoolean(v-else-if='type === "boolean"' :state='state' :property='property')
PropertyEnumerated(v-else-if='type === "enum"' :state='state' :property='property')
PropertyAuto(v-else-if='type === "auto"' :state='state' :property='property')
div(v-else) unknown
</template>
<script src='./Property.vue.js' />
